diff --git a/changelog b/changelog
index 8ea4773..a29266e 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,5 @@
+20090930 tpd src/axiom-website/patches.html 20090930.01.tpd.patch
+20090930 tpd src/interp/nrungo.lisp cleanup
 20090929 tpd src/axiom-website/patches.html 20090929.02.tpd.patch
 20090929 tpd src/interp/nrunopt.lisp cleanup
 20090929 tpd src/axiom-website/patches.html 20090929.01.tpd.patch
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index 58fe6aa..bb61f4e 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -2063,5 +2063,7 @@ src/interp/pathname.lisp cleanup<br/>
 src/interp/nruntime.lisp cleanup<br/>
 <a href="patches/20090929.02.tpd.patch">20090929.02.tpd.patch</a>
 src/interp/nrunopt.lisp cleanup<br/>
+<a href="patches/20090930.01.tpd.patch">20090930.01.tpd.patch</a>
+src/interp/nrungo.lisp cleanup<br/>
  </body>
 </html>
diff --git a/src/interp/nrungo.lisp.pamphlet b/src/interp/nrungo.lisp.pamphlet
index c3f6a40..9568b48 100644
--- a/src/interp/nrungo.lisp.pamphlet
+++ b/src/interp/nrungo.lisp.pamphlet
@@ -82,8 +82,9 @@
 ;  CAR SPADCALL(CDR dollar, dollar, op, sig, box, false, lookupFun)
 
 (DEFUN |basicLookup| (|op| |sig| |domain| |dollar|)
-  (PROG (|hashPercent| |box| |dispatch| |lookupFun| |hashSig| |val|
-            |boxval|)
+  (PROG (|hashPercent| |box| |dispatch| |lookupFun| |hashSig| |val| |boxval|)
+  (declare (special |$hashSeg| |$hashOpSet| |$hashOpApply| |$hashOp0|
+                    |$hashOp1|))
     (RETURN
       (COND
         ((VECP |domain|)
@@ -172,7 +173,9 @@
 ;  CAR SPADCALL(CDR dollar, dollar, op, sig, box, not $lookupDefaults, lookupFun)
 
 (DEFUN |basicLookupCheckDefaults| (|op| |sig| |domain| |dollar|)
+  (declare (ignore |domain|))
   (PROG (|box| |dispatch| |lookupFun| |hashPercent| |hashSig|)
+  (declare (special |$lookupDefaults|))
     (RETURN
       (PROGN
         (SPADLET |box| (CONS NIL NIL))
@@ -318,6 +321,7 @@
 
 (DEFUN |substDomainArgs| (|domain| |object|)
   (PROG (|form|)
+  (declare (special |$FormalMapVariableList|))
     (RETURN
       (PROGN
         (SPADLET |form| (|devaluate| |domain|))
@@ -363,6 +367,7 @@
 (DEFUN |lookupInTable| (|op| |sig| |dollar| G166171)
   (PROG (|domain| |table| |sig1| |code| |ISTMP#1| |a| |subsumptionSig|
             |predIndex| |loc| |someMatch| |slot| |success| |u|)
+  (declare (special |$predVector| |$FormalMapVariableList|))
     (RETURN
       (SEQ (PROGN
              (SPADLET |domain| (CAR G166171))
@@ -597,8 +602,8 @@
 ;  r or lookupDisplay(op,sig,'"category defaults",'"-- not found")
 
 (DEFUN |lookupInCategories| (|op| |sig| |dom| |dollar|)
-  (PROG (|catformList| |varList| |valueList| |nsig| |table| |u| |v|
-            |r|)
+  (PROG (|catformList| |varList| |valueList| |nsig| |table| |u| |v| |r|)
+  (declare (special |$Slot1DataBase| |$FormalMapVariableList|))
     (RETURN
       (SEQ (PROGN
              (SPADLET |catformList| (ELT (ELT |dom| 4) 0))
@@ -817,6 +822,7 @@
 
 (DEFUN |substDollarArgs| (|dollar| |domain| |object|)
   (PROG (|form|)
+  (declare (special |$FormalMapVariableList|))
     (RETURN
       (PROGN
         (SPADLET |form| (|devaluate| |domain|))
@@ -945,6 +951,7 @@
 
 (DEFUN |compareSigEqual| (|s| |t| |dollar| |domain|)
   (PROG (|u| |match|)
+  (declare (special |$FormalMapVariableList|))
     (RETURN
       (SEQ (COND
              ((BOOT-EQUAL |s| |t|) 'T)
@@ -997,6 +1004,7 @@
 
 (DEFUN |NRTcompileEvalForm| (|opName| |sigTail| |dcVector|)
   (PROG (|u| |k|)
+  (declare (special |$insideCompileBodyIfTrue|))
     (RETURN
       (PROGN
         (SPADLET |u|
@@ -1096,6 +1104,7 @@
 
 (DEFUN |NRTgetMinivectorIndex| (|u| |op| |sig| |domVector|)
   (PROG (|s| |k|)
+  (declare (special |$minivectorCode| |$compilingInputFile| |$minivector|))
     (RETURN
       (SEQ (PROGN
              (SPADLET |s| (|#| |$minivector|))
@@ -1221,6 +1230,7 @@
                 |ISTMP#1| |ISTMP#2| |ISTMP#3| |ISTMP#4| |m| |ISTMP#5|
                 |ISTMP#6| |ISTMP#7| |ISTMP#8| |predOk| |diffCell|
                 |diffSlot| |sharpPosition| |al| |a| |b| |result|)
+  (declare (special |$minivector| |$Integer|))
     (RETURN
       (SEQ (COND
              ((NULL (AND (PAIRP |body|) (EQ (QCAR |body|) 'COND)
@@ -1779,6 +1789,7 @@
              |vecname|)
   (PROG (|pl| |p| |c| |fn| |argl| |ISTMP#1| |ISTMP#2| |ISTMP#3| |n|
               |ISTMP#4| |ISTMP#5| |ISTMP#6| |ISTMP#7|)
+  (declare (special |$TriangleVariableList|))
     (RETURN
       (SEQ (COND
              ((ATOM |body|) NIL)
